Kerbal Space Program - Bug #2268

Crash on MacBook Pros When Loading Launch Pad
03/21/2014 11:35 AM - illectro

Status: Closed Start date: 01/28/2014
Severity: Normal % Done: 100%
Assignee:
Category:
Target version:
Version: 0.23 Language: English (US)
Platform: 0OSX Mod Related: No

Expansion:

Description

It's about 50% of the time when running on battery power, after building a craft the game will hang while trying to launch. In the end |
have to force a quit

Tail of KSP Log doesn't show much of interest:

[LOG 16:26:12.020] [Pre-Flight Check]: Checking for NoControlSources: PASS!

[LOG 16:26:12.020] [Pre-Flight Check]: Checking for NoCrewInMannedVessel: PASS!

[LOG 16:26:12.022] [Pre-Flight Check]: Checking for LaunchSiteClear: PASS!

[LOG 16:26:12.022] [Pre-Flight Check]: All Checks Complete. Go for Launch!

[LOG 16:26:12.047] Launching vessel from Runway. Craft file:
/Volumes/Data/Users/scott/Documents/KSP_osx/KSP.app/Contents/../../saves/aero/Ships/SPH/Auto-Saved Ship.craft
[LOG 16:26:12.064] Game State Saved as persistent

[WRN 16:26:12.064] [HighLogic]: Scene Change : From SPH to FLIGHT

[LOG 16:26:13.891] ------------------- initializing flight mode... ------------------
[LOG 16:26:13.927] Loading ship from file:
/Volumes/Data/Users/scott/Documents/KSP_osx/KSP.app/Contents/../../saves/aero/Ships/SPH/Auto-Saved Ship.craft

This is the relevant state from the apple crash report:

Date/Time: 2014-01-28 16:27:16 -0800
OS Version:  10.9.1 (Build 13B42)
Architecture: x86_64

Report Version: 18

Command: Kerbal Space Program

Path: /Users/USER/Documents/*/KSP.app/Contents/MacOS/Kerbal Space Program
Version: Unity Player version 4.2.2f1 (4.2.2f1)

Parent: launchd [303]

PID: 9597

Event: hang

Duration: 28.54s

Steps: 286 (100ms sampling interval)

Hardware model: MacBookPro10,1
Active cpus: 8
Fan speed: 2420 rpm

Free pages: 41065 pages (+185)

Pageins: 115 pages
Pageouts: 0 pages
Swapins: 0 pages
Swapouts: 0 pages

Process: Kerbal Space Program [9597]
Path: /Users/USER/Documents/*/KSP.app/Contents/MacOS/Kerbal Space Program
Architecture: 1386
Parent: launchd [303]

UID: 501

Task size: 268048 pages (-4)
CPU Time: 14.921s

Thread 0x245cl6 priority 31-47 cpu time 0.001s
285 ? (Kerbal Space Program + 6888) [0x2ae8]
285 ? (Kerbal Space Program + 7097) [0x2bb9]
285 ? (Kerbal Space Program + 9070513) [0x8a77bl]
285 NSApplicationMain + 1165 (AppKit) [0x91a231£8]
285 —[NSApplication run] + 727 (AppKit) [0x91a3a35c]
285 —[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 119 (AppKit) [0
x91ad47ad0]
285 _DPSNextEvent + 1602 (AppKit) [0x91a485a9]
285 _BlockUntilNextEventMatchingListInModeWithFilter + 92 (HIToolbox) [0x99e7d98d]
285 ReceiveNextEventCommon + 526 (HIToolbox) [0x99e7dbb2]
285 RunCurrentEventLoopInMode + 259 (HIToolbox) [0x99e7de2d]
285 CFRunLoopRunInMode + 123 (CoreFoundation) [0x99537bbb]
285 CFRunLoopRunSpecific + 394 (CoreFoundation) [0x99537d5a]
285 CFRunLoopRun + 1779 (CoreFoundation) [0x995386c3]
285 ___CFRunLoopDoTimers + 349 (CoreFoundation) [0x995fb2ad]
285 ___CFRunLoopDoTimer + 1395 (CoreFoundation) [0x99580b43]
285 _ CFRUNLOOP_IS CALLING _OUT_TO_A TIMER CALLBACK_FUNCTION
+ 22 (CoreFoundation) [0x99581186]
285 _ NSFireTimer + 117 (Foundation) [0x9811e78b]
285 ? (Kerbal Space Program + 9073698) [0x8a8422]
285 ? (Kerbal Space Program + 7190604) [Ox6dc84c]
285 ? (Kerbal Space Program + 7188611) [0x6dc083]
285 ? (Kerbal Space Program + 9258453) [0x8d55d5]
285 ? (Kerbal Space Program + 9333908) [0x8e7c94]
285 semaphore_timedwait_trap + 10 (libsystem_kernel.
dylib) [0x99423fce]

285 semaphore_wait_continue + 0 (mach_kernel) [Oxffffff800023b550]
*1 return_from trap + 178 (mach_kernel) [Oxfffff£f80002£35d2]
*]1 i386_astintr + 35 (mach_kernel) [Oxffff££80002dc7d3]
*1 ast_taken + 187 (mach_kernel) [Oxfffff£f8000220b2b]
*1 bsd_ast + 807 (mach_kernel) [Oxffffff80005dfe27]
*]1 postsig locked + 1037 (mach_kernel) [Oxffffff80005dfaad]
*]1 exitl _internal + 670 (mach_kernel) [Oxffffff80005ccl3e]
*1 task_terminate_internal + 288 (mach_kernel) [Oxffffff800023d930]
*1 ipc_space_terminate + 172 (mach_kernel) [Oxff£f£££800021c74c]
*1 ipc_right_terminate + 521 (mach_kernel) [Oxff£f£f£f£800021a6d9]
*1 mach_notify no_senders + 65 (mach_kernel) [Oxffffff800025£031]
*]1 mach_msg_send_from_kernel_proper + 66 (mach_kernel) [0xffffff8000226ed2]
*]1 ipc_kmsg _send + 117 (mach_kernel) [Oxf£ffff£80002139b5]
*]1 ipc_kobject_server + 270 (mach_kernel) [Oxffff£f£8000226bce]
*]1 iokit_notify + 152 (mach_kernel) [Oxffffff80002b0b68]
*1 iokit_client_died + 132 (mach_kernel) [Oxffff££80006c7224]
*1 AppleGraphicsControlClient: :clientClose() + 29 (AppleMuxContro
1) [Oxfff£fff7£82587a9d]
*1 AppleGraphicsControlClient: :clientCloseEx () + 104 (AppleMuxC
ontrol) [Oxffffff7£82587b32]
*1 AppleGraphicsControlClient: :terminate (unsigned int) + 17 (
AppleMuxControl) [Oxffffff£f7£82587bab]
*]1 IOService: :terminate (unsigned int) + 12 (mach_kernel) [O
xfffEFFF£80006917dc]
*1 IOService: :terminatePhasel (unsigned int) + 812 (mach_k
ernel) [Oxffffff800068£ff5c]
*1 IOService: :deliverNotification (OSSymbol const
, unsigned int, unsigned int) + 178 (mach_kernel) [Oxffffff80006902£f2]
1 IOService: :matchPassive (OSDictionary
, unsigned int) + 96 (mach_kernel) [Oxffffff8000692730]
1 IOService: :matchInternal (OSDictionary
, unsigned int, unsigned int*) + 119 (mach_kernel) [O0xffffff80006936£f7]
1 OSMetaClassBase: :metaCast (OSString const
) const + 18 (mach_kernel) [Oxffffff8000649b72]
1 OSSymbol: :withCString(char const
) + 194 (mach_kernel) [0xffffff8000663£fd2]
L, lck_mtx_unlock + 71 (mach_kernel) [Oxfffff
£80002d1157]

Thread 0x245c26 DispatchQueue 2706971308 priority 48-49
285 _dispatch_mgr_thread + 52 (libdispatch.dylib) [0x97d6a556]
285 kevent64 + 10 (libsystem_kernel.dylib) [0x99429992]
*285 ??? (mach_kernel + 3948480) [Oxffffff80005c3fc0]

Thread 0x245c50 priority 46-47
285 thread_start + 34 (libsystem_pthread.dylib) [0x99788cf2]
285 _pthread_start + 130 (libsystem_pthread.dylib) [0x99783485]
285 semaphore_wait_trap + 10 (libsystem_kernel.dylib) [0x99423fb6]
*285 semaphore_wait_continue + 0 (mach_kernel) [Oxffffff800023b550]

Thread 0x245c51 priority 46-47
285 mach_msg_trap + 10 (libsystem_kernel.dylib) [0x99423f7a]
*285 ipc_mqueue_receive_continue + 0 (mach_kernel) [0xfff£f££80002167c0]

Thread 0x245c75 priority 41-47 cpu time 14.784s
285 thread_start + 34 (libsystem_pthread.dylib) [0x99788cf2]
285 _pthread_start + 130 (libsystem_pthread.dylib) [0x99783485]
285 _pthread_body + 144 (libsystem_pthread.dylib) [0x997835fb]
285 ? (Kerbal Space Program + 8039199) [0Ox7abblf]
285 ? (Kerbal Space Program + 9333663) [0x8e7b9f]
285 ? (Kerbal Space Program + 9318518) [0x8e4076]
285 ? (Kerbal Space Program + 9200321) [0x8c72cl]
285 ? (Kerbal Space Program + 9223050) [0x8ccb8a]
285 glFinishFenceAPPLE + 31 (1libGL.dylib) [0x9b48b920]
285 glFinishFenceAPPLE_Exec + 63 (GLEngine) [0x929%ecf2f]
285 gleFinishFence + 113 (GLEngine) [0x92a96£fd9]
285 gldFinishObject + 60 (libGPUSupportMercury.dylib) [0x987ba89c]
285 gpuiFinishFence + 66 (libGPUSupportMercury.dylib) [0x987b7068]
285 ? (GeForceGLDriver + 3306124) [0x4832728c]
285 ? (GeForceGLDriver + 3306510) [0x4832740e]
285 gpusSubmitDataBuffers + 527 (libGPUSupportMercury.dylib) [0x98

7b6525]
285 gpusKillClient + 137 (l1ibGPUSupportMercury.dylib) [0x987b4ff
5]
285 abort + 155 (libsystem_c.dylib) [0x973d6340]
285 ? [Oxffffffff]
285 ? (Kerbal Space Program + 18446744073709547520) [0]
*275 hndl_alltraps + 219 (mach_kernel) [Oxfffff£f80002£350
b]
*245 user_trap + 864 (mach_kernel) [0xfffff£80002dc650]
*241 exception_triage + 160 (mach_kernel) [Oxffffff80
00224060]
*236 exception_deliver + 758 (mach_kernel) [Oxfffff
£8000223ee6]
*236 mach_exception_raise + 158 (mach_kernel) [0x
ff££££800025d14e]

*211 mach_msg_rpc_from_kernel_body + 252 (mach_
kernel) [Oxffff£f£800022708c]
*204 ipc_mqueue_receive + 66 (mach_kernel) [0
xfff£f££80002168a2]
*149 thread_block_reason + 204 (mach_kernel
) [Oxfffff£f8000235d4c]
*149 ? (mach_kernel + 223563) [Oxffffff80
0023694b]
*149 machine_switch_context + 354 (mach
_kernel) [Oxffff£f£80002d81d2]
*55 thread_block_reason + 256 (mach_kernel
) [Oxff£f£££8000235d80]
*55 ml_set_interrupts_enabled + 27 (mach
_kernel) [Oxffffff80002d5fbb]
*6 ipc_mqueue_receive + 23 (mach_kernel) [0
xfff£££f8000216877]

ch_kernel) [Oxffffff8000216cdc]

_kernel) [Oxffffff80002d5fbb]

xff££££8000235c81]

kernel) [Oxfff£f£f£8000227045]

£f££8000213bdd]

xfff£££80002163b4]

[Oxf£f££££8000216694]

ch_kernel) [Oxffffff80002d5fbb]

ernel) [Oxffffff8000226fba]

nel) [Oxffffff8000213850]

fE££££8000212fec]

fff££8000212£8¢f]

kernel) [Oxffff£f£8000227025]

kernel) [Oxffffff8000214ea9]

ernel) [Oxffffff8000214el9]

kernel) [Oxffff£f£f800022714f]

ernel) [Oxffffff8000215£09]

£8000223e07]

Oxfff£££8000228aac]

0002d0b29]

002d0bl4]

£8000223d£8]

[Oxf£££££8000228b55]

02d044e]

£8000223c56]

2d0b17]

2d41d9]

00224035]

8000223bfal

£8000223c56]

002d0b94]

0223fff]

£8000223cad]
*6 ipc_mgueue_receive_on_thread + 780 (ma
*6 ml_set_interrupts_enabled + 27 (mach
*1 thread_block_reason + 1 (mach_kernel) [0
*19 mach_msg_rpc_from_kernel_body + 181 (mach_
*19 ipc_kmsg_send + 669 (mach_kernel) [Oxfff
*19 ipc_mqueue_send + 100 (mach_kernel) [0

*19 ipc_mqueue_post + 404 (mach_kernel)
*19 ml_set_interrupts_enabled + 27 (ma
*2 mach_msg_rpc_from_kernel_body + 42 (mach_k
*2 ipc_kmsg_get_from_kernel + 112 (mach_ker
*1 ipc_kmsg_alloc + 140 (mach_kernel) [0x
*1 ipc_kmsg_alloc + 47 (mach_kernel) [0xf
*2 mach_msg_rpc_from_kernel _body + 149 (mach_
*1 ipc_kmsg_copyin_from_kernel + 201 (mach_
*1 ipc_kmsg_copyin_from_kernel + 57 (mach_k
*1 mach_msg_rpc_from_kernel_body + 447 (mach_
*1 ipc_kmsg_copyout_to_kernel + 153 (mach_k
*2 exception_deliver + 535 (mach_kernel) [Oxfffff
*2 retrieve_task_self fast + 28 (mach_kernel) [
w31l lck_mtx_lock + 25 (mach_kernel) [Oxffffff8
*1 lck_mtx _lock + 4 (mach_kernel) [OxXfffff£f80
*1 exception_deliver + 520 (mach_kernel) [Oxfffff
*1 retrieve_thread_self fast + 69 (mach_kernel)
*1 hw_lock_to + 30 (mach_kernel) [Oxffff£f£800
*1 exception_deliver + 102 (mach_kernel) [Oxfffff
*1 lck_mtx_lock + 7 (mach_kernel) [Oxfffff£f8000
*1 usimple_lock + 201 (mach_kernel) [Oxfff£f££8000
*2 exception_triage + 117 (mach_kernel) [Oxffffff80
*1 exception_deliver + 10 (mach_kernel) [Oxffffff
*1 exception_deliver + 102 (mach_kernel) [Oxfffff
w1l lck_mtx_lock + 132 (mach_kernel) [Oxffffff80
*1 exception_triage + 63 (mach_kernel) [0xffffff800

*1 exception_deliver + 189 (mach_kernel) [Oxfffff
0223fcc]

f£££8000286ec0]

nel) [0xffff£f£800028d0db]

*]1 exception_triage + 12 (mach_kernel) [0xffffff800
*18 user_trap + 157
*12 user_trap + 748

216 vm_fault + 440

[Oxf£f££££80002dc38d]
[0xff££££80002dc5dc]
[Oxf£££££8000277b08

(mach_kernel)

(mach_kernel)
(mach_kernel)

[Oxff

*2 vm_map_lookup_locked + 240 (mach_kernel)

w31l vm_map_store_lookup_entry_rb + 139 (mach_ker

L, vm_map_store_lookup_entry_rb + 94 (mach_kern
el) [Oxffffff800028d0ae]
*1 vm_map_store_lookup_entry + 1 (mach_kernel) [0
xfff£££800028bb31]
*]1 vm_map_lookup_locked + 2306 (mach_kernel) [Oxf
ff£££80002876d2]
*1 vm_map_lookup_locked + 2676 (mach_kernel) [Oxf
f£f£££8000287844]
*1 vm_map_lookup_locked + 224 (mach_kernel) [Oxff
f£££8000286eb0]
*1 lck_rw_done_gen + 0 (mach_kernel) [Oxfffff£f80002
d49e0]
w1l lck_rw_lock_shared + 9 (mach_kernel) [Oxffffff80
002d05a9]
*1 OSAddAtomic64 + 5 (mach_kernel) [Oxffff£f£800067c
8de]
*1 lck_rw_lock_shared + 15 (mach_kernel) [OxXxffffff8
0002d05af]
*1 vm_fault + 6519 (mach_kernel) [0xfffff£80002792c
7]
=l ??? (mach_kernel + 213752) [Oxffffff80002342f£8
1
*1 lock_done + 0 (mach_kernel) [Oxfffff£f80002d4360]
5 &lt;executing in user spaceé&gt;
*5 return_from_trap + 178 (mach_kernel) [Oxffffff80002f
35d2]
*5 i386_astintr + 35 (mach_kernel) [Oxfffff£80002dc7d
3]
2 ast_taken + 187 (mach_kernel) [Oxffffff8000220b2
b]
®2 bsd_ast + 21 (mach_kernel) [O0xffffff80005dfbl5
]
*1 current_proc + 128 (mach_kernel) [Oxffffff80
00647890]
*1 get_bsdthread_info + 0 (mach_kernel) [Oxffff
££80002554b0]
@il bsd_ast + 733 (mach_kernel) [Oxffffff80005dfdd
dl]
2l bsd_ast + 1 (mach_kernel) [0xffffff80005dfb01]
*1 ast_taken + 157 (mach_kernel) [Oxffffff8000220b0
d]
*1 ml_set_interrupts_enabled + 27 (mach_kernel) [
Oxffff£f£80002d5fbb]
Thread 0x245c76 priority 46-47
285 thread_start + 34 (libsystem_pthread.dylib) [0x99788cf2]
285 _pthread_start + 130 (libsystem_pthread.dylib) [0x99783485]
285 _pthread_body + 144 (libsystem_pthread.dylib) [0x997835fb]
285 ? (Kerbal Space Program + 8039199) [Ox7abblf]
285 ? (Kerbal Space Program + 8037171) [0x7ab333]
285 semaphore_timedwait_trap + 10 (libsystem_kernel.dylib) [0x99423fce]
*285 semaphore_wait_continue + 0 (mach_kernel) [Oxffffff800023b550]

Thread 0x245c77 priority
285 thread_start + 34

04/25/2024

(libsystem_pthread.dylib)
285 _pthread_start + 130
285 _pthread_body + 144

46-47

[0x99788cf2]

[0x99783485]
[0x997835£fDb]

(libsystem_pthread.dylib)
(libsystem_pthread.dylib)
285 ? (Kerbal Space Program + 8039199) [0Ox7abblf]
285 ? (Kerbal Space Program + 8037171) [0x7ab333]
285 semaphore_timedwait_trap + 10 (libsystem_kernel.dylib) [0x99423fce]
*285 semaphore_wait_continue + 0 (mach_kernel) [0xfffff£f800023b550]

Thread 0x245c78 priority 46-47
285 thread_start + 34 (libsystem_pthread.dylib) [0x99788cf2]
285 _pthread_start + 130 (libsystem_pthread.dylib) [0x99783485]
285 _pthread_body + 144 (libsystem _pthread.dylib) [0x997835fb]
285 ? (Kerbal Space Program + 8039199) [Ox7abblf]
285 ? (Kerbal Space Program + 8037171) [0x7ab333]
285 semaphore_timedwait_trap + 10 (libsystem_kernel.dylib) [0x99423fce]
*285 semaphore_wait_continue + 0 (mach_kernel) [0Oxfffff£f800023b550]

Thread 0x245c79 priority 46-47
285 semaphore_wait_trap + 10 (libsystem_kernel.dylib) [0x99423fb6]
*285 semaphore_wait_continue + 0 (mach_kernel) [Oxffff£f£800023b550]

Thread 0x245c7a priority 46-47
285 semaphore_wait_trap + 10 (libsystem_kernel.dylib) [0x99423fb6]
*285 semaphore_wait_continue + 0 (mach_kernel) [0Oxfffff£f800023b550]

Thread 0x245c7b priority 46-47
285 semaphore_wait_trap + 10 (libsystem_kernel.dylib) [0x99423fb6]
*285 semaphore_wait_continue + 0 (mach_kernel) [Oxffff£f£800023b550]

Thread 0x245c7c priority 30-31
285 semaphore_timedwait_trap + 10 (libsystem_kernel.dylib) [0x99423fce]
*285 semaphore_wait_continue + 0 (mach_kernel) [0Oxfffff£f800023b550]

Thread 0x245c93 priority 97 cpu time 0.065s
285 thread_start + 34 (libsystem_pthread.dylib) [0x99788cf2]
285 pthread_start + 130 (libsystem pthread.dylib) [0x99783485]
285 _pthread_body + 144 (libsystem pthread.dylib) [0x997835fb]
285 HALB IOThread: :Entry(void*) + 69 (CoreAudio) [0x943f44fb]
285 __ZN19HALC_ProxyIOContextC2Emj_block_invoke + 20 (CoreAudio) [0x943fef52]
285 HALC_ProxyIOContext::IOThreadEntry (void*) + 167 (CoreAudio) [0x943f45ff]
284 HALC_ProxyIOContext::IOWorkLoop() + 1111 (CoreAudio) [0x943f4b27]
284 HALB_MachPort::SendSimpleMessageWithSimpleReply (unsigned int, unsigned int, in
t, int&, bool, unsigned int) + 68 (CoreAudio) [0x943f634e]
284 HALB_MachPort::SendMessageWithReply (unsigned int, unsigned int, unsigned lon
g, unsigned long, mach_msg_header_t*, bool, unsigned int) + 138 (CoreAudio) [0x943fbe9%a]
284 mach_msg_trap + 10 (libsystem_kernel.dylib) [0x99423f7a]
284 ipc_mqueue_receive_continue + 0 (mach_kernel) [0xffffff80002167c0]
1 HALC_ProxyIOContext::IOWorkLoop() + 4320 (CoreAudio) [0x943f57b0]
1 AUHAL: :AUIOProc (unsigned long, AudioTimeStamp const
, AudioBufferList const*, AudioTimeStamp const*, AudioBufferList*, AudioTimeStamp const*, void*) +
2778 (CoreAudio) [OxedOe3ba]
1 AUBase: :DoRender (unsigned long&, AudioTimeStamp consté&, unsigned long, unsig
ned long, AudioBufferListé&) + 452 (CoreAudio) [0Oxed062e2]
1 AUBase: :DoRenderBus (unsigned longé&, AudioTimeStamp consté&, unsigned long,
AUOutputElement*, unsigned long, AudioBufferListé&) + 141 (CoreAudio) [0xed07ba3]
1 AUConverterBase: :RenderBus (unsigned long&, AudioTimeStamp consté&, unsign
ed long, unsigned long) + 359 (CoreAudio) [0xed0a60d]
1 AUInputElement::PullInputWithBufferList (unsigned long&, AudioTimeStamp
consté&, unsigned long, unsigned long, AudioBufferList*) + 183 (CoreAudio) [OxedOac67]
1 ? (Kerbal Space Program + 3579727) [0x36af4df]
1 ? (Kerbal Space Program + 3579656) [0x36af08]
1 ? (Kerbal Space Program + 3334740) [0x32f254]
1 ? (Kerbal Space Program + 3268976) [0x31f170]
1 ? (Kerbal Space Program + 3188487) [0x30b707]
1 ? (Kerbal Space Program + 3188487) [0x30b707]
1 ? (Kerbal Space Program + 3188487) [0x30b707]
1 ? (Kerbal Space Program + 3188487) [0x30b707]
1 ??? (Kerbal Space Program + 3188379) [0x30b69b]
1 &lt;executing in user spaceé&gt;
Thread 0x245c94 priority 63 cpu time 0.032s
285 thread_start + 34 (libsystem_pthread.dylib) [0x99788cf2]
285 _pthread_start + 130 (libsystem_pthread.dylib) [0x99783485]
285 _pthread_body + 144 (libsystem_pthread.dylib) [0x997835fb]
285 ? (Kerbal Space Program + 3495855) [0x3567af]
285 ? (Kerbal Space Program + 3575477) [0x369eb5]
285 usleep$SUNIX2003 + 60 (libsystem_c.dylib) [0x973f4£f06]
285 __semwait_signal + 10 (libsystem_kernel.dylib) [0x99428b76]
*285 semaphore_wait_continue + 0 (mach_kernel) [Oxffff£f£800023b550]

Thread 0x245c9a priority 46-47 cpu time 0.002s
285 thread_start + 34 (libsystem_pthread.dylib) [0x99788cf2]
285 _pthread_start + 130 (libsystem_pthread.dylib) [0x99783485]
285 _pthread_body + 144 (libsystem_pthread.dylib) [0x997835fb]
285 ? (Kerbal Space Program + 8039199) [0x7abblf]
285 ? (Kerbal Space Program + 7197781) [0x6de455]
285 ? (Kerbal Space Program + 7198872) [0x6de898]
285 ? (Kerbal Space Program + 8038583) [0x7ab8b7]
285 mach_wait_until + 10 (libsystem_kernel.dylib) [0x994240a6]

*285 ?7? (mach_kernel + 139376) [Oxfffff£f8000222070]

Thread 0x245c9c priority 63 cpu time 0.028s
285 thread_start + 34 (libsystem_pthread.dylib) [0x99788cf2]
285 _pthread_start + 130 (libsystem_pthread.dylib) [0x99783485]
285 _pthread_body + 144 (libsystem _pthread.dylib) [0x997835fb]
285 ? (Kerbal Space Program + 3495855) [0x3567af]
285 ? (Kerbal Space Program + 3575477) [0x369eb5]
285 usleep$SUNIX2003 + 60 (libsystem_c.dylib) [0x973f4f06]
285 __semwait_signal + 10 (libsystem_kernel.dylib) [0x99428b76]
*285 semaphore_wait_continue + 0 (mach_kernel) [Oxffffff800023b550]

Thread 0x245cb0 priority 46-47 cpu time 0.006s
285 thread_start + 34 (libsystem_pthread.dylib) [0x99788cf2]
285 pthread_start + 130 (libsystem pthread.dylib) [0x99783485]
285 _pthread_body + 144 (libsystem pthread.dylib) [0x997835fb]
285 _NSEventThread + 283 (AppKit) [0x91bf1f18]
285 CFRunLoopRunInMode + 123 (CoreFoundation) [0x99537bbb]
285 CFRunLoopRunSpecific + 394 (CoreFoundation) [0x99537d5a]
284 CFRunLoopRun + 1393 (CoreFoundation) [0x99538541]
284 ___CFRunLoopServiceMachPort + 169 (CoreFoundation) [0x99538f69]
284 mach_msg_trap + 10 (libsystem kernel.dylib) [0x99423f7a]
283 ipc mqueue_receive_continue + 0 (mach_kernel) [Oxffffff80002167c0]
*1 hndl mach scall + 216 (mach_kernel) [Oxffffff80002f3bd8]
*1 ??? (mach_kernel + 823517) [Oxffffff80002c90dd]
*1 mach_msg_overwrite trap + 438 (mach_kernel) [Oxffffff800021e0f6]
*1 ipc _mqueue_ receive + 23 (mach_kernel) [Oxffffff8000216877]
*1 ipc _mqueue_ receive on_thread + 780 (mach_kernel) [Oxffffff8000216c

4c]
*1 ml_set_interrupts_enabled + 27 (mach_kernel) [Oxffff£f£80002d5fbb
]
1 __CFRunLoopRun + 2130 (CoreFoundation) [0x99538822]
1 __CFRunLoopDoSourcel + 523 (CoreFoundation) [0x9954805b]

1 __ CFRUNLOOP_IS CALLING OUT TO A SOURCE1l_PERFORM FUNCTION

+ 53 (CoreFoundation) [0x995480f5]
1 __ _CFMachPortPerform + 440 (CoreFoundation) [0x995482c8]

1 MessageHandler (
_CFMachPort, void*, long, void*) + 52 (HIToolbox) [0x99e869f6]
1 PullEventsFromWindowServerOnConnection (unsigned int, unsigned char,
CFMachPortBoost*) + 99 (HIToolbox) [0x99e86a8d]
1 CGEventCreateNextEvent + 39 (CoreGraphics) [0x9%9aa85b8b]
1 CGSGetNextEventRecordInternal + 84 (CoreGraphics) [0x9aa85c24]
1 CGSSnarfAndDispatchDatagrams + 167 (CoreGraphics) [0x9%9aa85de5]

1 _CGSGetPortStreamInline + 127 (CoreGraphics) [0x9%9aa8602c]
1 mach_msg_trap + 10 (libsystem_kernel.dylib) [0x99423f7a]
*]1 ipc_mgueue_receive_continue + 0 (mach_kernel) [Oxfffff£f800

02167c0]
Thread 0x246def priority 0-48
82 start_wgthread + 30 (libsystem_pthread.dylib) [0x99788cce]
82 __workqg_kernreturn + 10 (libsystem_kernel.dylib) [0x99429046]
*82 wqg_unpark_continue + 0 (pthread) [0xffffff7f80bebbae]

Thread 0x246d7e priority 0-49
62 start_wgthread + 30 (libsystem_pthread.dylib) [0x99788cce]
62 __workg_kernreturn + 10 (libsystem_kernel.dylib) [0x99429046]
*62 wg_unpark_continue + 0 (pthread) [0xffffff7£f80be6bae]

Thread 0x246bf5 priority O
57 start_wgthread + 30 (libsystem_pthread.dylib) [0x99788cce]
57 __workg_kernreturn + 10 (libsystem_kernel.dylib) [0x99429046]
*57 wg_unpark_continue + 0 (pthread) [O0xffffff7f80bebbae]

Thread 0x246bf9 priority 46
56 start_wgthread + 30 (libsystem_pthread.dylib) [0x99788cce]
56 __workqg_kernreturn + 10 (libsystem_kernel.dylib) [0x99429046]
*56 wg_unpark_continue + 0 (pthread) [0xffffff7£f80bebbac]

Thread 0x246dea priority 46
54 start_wgthread + 30 (libsystem_pthread.dylib) [0x99788cce]
54 _ workg_kernreturn + 10 (libsystem_kernel.dylib) [0x99429046]
*54 wqg_unpark_continue + 0 (pthread) [0xffffff7£f80be6bae]

Thread 0x246d7a priority 47
50 start_wgthread + 30 (libsystem_pthread.dylib) [0x99788cce]
50 __workg_kernreturn + 10 (libsystem_kernel.dylib) [0x99429046]
*50 wg_unpark_continue + 0 (pthread) [0xffffff7f80bebbae]

Binary Images:
0x1000 - 0xa79feb wunity.Squad.Kerbal Space Program Unity Player version 4
.2.2f1 (4.2.2f1) &1t;BB156406-AE8B-36F0-AB7F-EDE345F53FD3&gt; /Users/USER/Documents/*/KSP.app/Cont
ents/MacOS/Kerbal Space Program
0xed01000 - 0xef01ff2 com.apple.audio.units.Components 1.9 (1.9) &lt;303B5E17
-B3F4-3E0A-935B-E83BA0866941&gt; /System/Library/Components/CoreAudio.component/Contents/Mac0OS/Cor
eAudio
0x48000000 - 0x488d6ff7 com.apple.GeForceGLDriver 8.18.22 (8.1.8) &lt;58FFC859-
4EF6-390B-9918-37B17A22F98D&gt; /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/G
eForceGLDriver
0x91a21000 - 0x9263cff3 com.apple.AppKit 6.9 (1265) &1lt;AE258D94-0272-394F-BBB7
-9B5C165A4A78&gt; /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x9299f000 - 0x92b2fff0 GLEngine (9.0.83) &lt;1B032F5D-0D72-30E5-B4AD-D1EBAD995
DAC&gt; /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLEngine.bundle/GLEngine
0x943e3000 - 0x94438ff7 com.apple.audio.CoreAudio 4.2.0 (4.2.0) &lt;0F1Cl111F-1E
64—-33BB-A69F-14643B3037D5&gt; /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x97379000 - 0x9740bffe libsystem_c.dylib (997.1.1) &1t;D06FD754-8CE3-3EB7-BEQ5
-2EF939BBEO5SF&gt; /usr/lib/system/libsystem_c.dylib
0x97d67000 - 0x97d7fffd 1libdispatch.dylib (339.1.9) &lt;6249BAE5-044F-3A7A-9CCC
-03FF7E6B405B&gt; /usr/lib/system/libdispatch.dylib
0x980b4000 - 0x983dfff6 com.apple.Foundation 6.9 (1056) &lt;C8AE9C03-3460-354A-
A8B6-EF4955BE600D&gt; /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x987b3000 - 0x987befff 1ibGPUSupportMercury.dylib (9.0.83) &1lt;F4DD06F4-FF45-3
E26-BF56-24258B726EA8&gt; /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Librar
ies/1ibGPUSupportMercury.dylib

0x99411000 - 0x9942effd4 libsystem_kernel.dylib (2422.1.72) &1t;C5641F6C-E271-38
0A-A656-AE4C04345602&gt; /usr/lib/system/libsystem_kernel.dylib
0x994c2000 - 0x996c4ff7 com.apple.CoreFoundation 6.9 (855.11) &1lt;50F70E07-043A

—-3A2F-87EF-A36BA6C5CI9D9&gt; /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFou
ndation

0x99782000 - 0x99789ffb libsystem_pthread.dylib (53.1.4) &lt;8B1B7B84-1B5D-32A8
-ACOD-1E689E5C8A4C&gt; /usr/lib/system/libsystem_pthread.dylib
0x99e52000 - 0x9alc7ff9 com.apple.HIToolbox 2.1 &1lt;43CB31D6-4C2B-30FA-A374-DB7

C5728E7AD&gt; /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framewor
k/Versions/A/HIToolbox

0x9aa4d000 - 0x9aed45ff3 com.apple.CoreGraphics 1.600.0 &1t;DB004990-FO06F-3768-A
E4C-191B3C748EFC&gt; /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9b47c000 - 0x9b48bfff 1ibGL.dylib (9.0.83) &lt;E76D1F2A-D98B-3464-ADOB-FCLlEBB

ADF027&gt; /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/1ibGL.dylib

*Oxffff£f£7£f80be3000 - Oxffffff7£f80beafff com.apple.kec.pthread 1.0 (1) &lt; 619F6A5D-FFA2-3B59-99
93-958FD7154B83&gt; /System/Library/Extensions/pthread.kext/Contents/MacOS/pthread

*Oxffff££7£82581000 — Oxffffff7£8258fffb com.apple.driver.AppleMuxControl 3.4.12 (3.4.12) &lt;A4
934A66-0E30-36E9-984A-650481102449&gt; /System/Library/Extensions/AppleGraphicsControl.kext/Conten
ts/PlugIns/AppleMuxControl.kext/Contents/MacOS/AppleMuxControl

*Oxfff£f££8000200000 — Oxffffff80007a43ca mach_kernel (2422.1.72) &1lt;1D9369E3-DOA5-31B6-8D16-BFF
BBB390393&gt; /mach_kernel

History

#1 - 07/17/2016 09:25 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 08/09/2016 10:39 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
